﻿@model RaamatukoguAPP11.Eksemplar

@{
    ViewBag.Title = "MuudaRaamatut";
}

<h2>Muuda raamatut</h2>


@using (Html.BeginForm("Edit", "Eksemplars", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <h4>Eksemplar</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.Kood)

        @*See lõik teeb dropdown listi. Lihtsalt kontrolliks ok, aga kasutada EI TOHI*@
        <div class="form-group">
            @*@Html.LabelFor(model => model.RaamatuKood, "(raamatuKoodi kontroll)", htmlAttributes: new { @class = "control-label col-md-2" })*@
            @*<div class="col-md-10">*@
                @Html.HiddenFor(model => model.RaamatuKood, new { htmlAttributes = new { @class = "form-control" } })
                @*@Html.DisplayFor(model => model.RaamatuKood, new { htmlAttributes = new { @class = "form-control" } })*@
                @*@Html.DropDownList("RaamatuKood", null, htmlAttributes: new { @class = "form-control" })*@
                @*@Html.ValidationMessageFor(model => model.RaamatuKood, "", new { @class = "text-danger" })*@
            @*</div>*@
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Isbn, "Isbn (muudanRmt)", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Isbn, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Isbn, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Tiitel, "Tiitel (muudanRmt)", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Tiitel, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Tiitel, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Autor, "Autor (muudanRmt)", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Autor, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Autor, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Aasta, "Aasta (muudanRmt)", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Aasta, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Aasta, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Pilt, "Pilt (muudanRmt)", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <img src='@Url.Action("EksPilt", "Eksemplars", new { id = Model.Kood } )' height="300" />
            </div>
            <div class="col-md-10">
                @*<label for="file">Vaheta pilt:</label>*@
                <input type="file" name="file" id="file" class="btn btn-default" />
            </div>
            
            @*<div class="col-md-10">
                @Html.EditorFor(model => model.Pilt, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Pilt, "", new { @class = "text-danger" })
            </div>*@
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Kategooria, "Kategooria (muudanRmt)", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("Kategooria", null, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.Kategooria, "", new { @class = "text-danger" })
            </div>
        </div>


        
        <div class="col-md-10">
            <table>
                <tr>
                    <td valign="top">
                        <p>Saadaolevad sildid:</p>
                        <ul type="circle">
                            @foreach (Silt s in ViewBag.Sildid ?? new List<Silt>())
                            {
                                if (!s.EksemplariSilt.Select(x => x.EksemplariKood).Contains(Model.Kood))
                                {
                                    <li>@Html.ActionLink("+ " + s.Silt1, "LisaSilt", new { id = Model.Kood * 1000 + s.Kood })</li>
                                }
                            }
                        </ul>
                    </td>
                    <td valign="top">
                        <p>Eksemplaril on sildid:</p>
                        <ul type="circle">
                            @foreach (EksemplariSilt es in Model.EksemplariSilt.Where(x => x.SildiKood != 0))
                            {
                                <li>@Html.ActionLink("- " + es.Silt.Silt1, "EemaldaSilt", new { id = Model.Kood * 1000 + es.SildiKood })</li>
                            }
                        </ul>
                    </td>
                </tr>
            </table>
        </div>



        @*<div class="form-group">
            @Html.LabelFor(model => model.Omanik, "Omanik", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("Omanik", null, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.Omanik, "", new { @class = "text-danger" })
            </div>
        </div>*@

        <div class="form-group">
            @Html.LabelFor(model => model.Hoidja, "Hoidja", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("Hoidja", null, htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.Hoidja, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.AsukohaKommentaar, "Asukoha kommentaar", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.TextAreaFor(model => model.AsukohaKommentaar, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.AsukohaKommentaar, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Kapp, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Kapp, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Kapp, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Riiul, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Riiul, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Riiul, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Saadaval, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.KasSaadaval, new { htmlAttributes = new { @class = "checkbox" } })
                @Html.ValidationMessageFor(model => model.KasSaadaval, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Muuda" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Minu raamatute nimekiri", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
